guardrailValue
Returns the effective guardrail value for a company and guardrail key
guardrailValue(
companyId: ID!
key: String!
assetCategory: String
): Int
Arguments
guardrailValue.companyId ● ID! non-null scalar
guardrailValue.key ● String! non-null scalar
guardrailValue.assetCategory ● String scalar
Asset category of an assets guardrail; omitted, the global limit
Type
Int scalar
The Int scalar type represents non-fractional signed whole numeric values. Int can represent values between -(2^31) and 2^31 - 1.
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the companies query first and use data.companies.collection[].id as companyId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetGuardrailValue($companyId: ID!, $key: String!) {\n guardrailValue(companyId: $companyId, key: $key)\n}","variables":{"companyId":"<company_id>","key":"example"}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetGuardrailValue($companyId: ID!, $key: String!) {\n guardrailValue(companyId: $companyId, key: $key)\n}",
variables: {
"companyId": "<company_id>",
"key": "example"
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetGuardrailValue($companyId: ID!, $key: String!) {\n guardrailValue(companyId: $companyId, key: $key)\n}",
'variables': json.loads("{\"companyId\":\"<company_id>\",\"key\":\"example\"}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute